Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# Request.h File Reference

`#include "tao/orbconf.h"`
`#include "Dynamic_Adapter_Impl.h"`
`#include "Context.h"`
`#include "ExceptionList.h"`
`#include "tao/ORB.h"`
`#include "tao/NVList.h"`
`#include "tao/Environment.h"`
`#include "tao/Sequence.h"`

Include dependency graph for Request.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
## Defines
#define | TAO_EXPORT_MACRO TAO_DynamicInterface_Export

## Detailed Description

Id:
  Request.h,v 1.21 2003/10/30 16:22:33 parsons Exp

Header file for CORBA's Dynamic Invocation Interface "Request" type.

Author:
  Copyright 1994-1995 by Sun Microsystems, Inc. , Additions and RequestSeq by Jeff Parsons <parsons@cs.wustl.edu>

## Define Documentation

#define TAO_EXPORT_MACRO TAO_DynamicInterface_Export